Skip to content
Last updated

New Releases and Changelog

APIs which have been released, or updated in the last 60 days will be displayed here, with the newest first.

2026-10-28

Add treatment plan item list endpoint

  • GET /treatment_plans/{id}/treatment_plan_items — endpoint added

2026-10-27

Added treatment endpoints

  • GET /market/subscriptions — endpoint added
  • DELETE /market/subscriptions/{id} — endpoint added
  • GET /market/subscriptions/{id} — endpoint added
  • GET /treatments — endpoint added
  • GET /treatments/{id} — endpoint added

2026-10-21

Add treatment plan list and get specification

  • GET /treatment_plans — endpoint added
  • GET /treatment_plans/{id} — endpoint added

2026-10-19

Added treatment category endpoints

  • GET /treatment_categories — endpoint added
  • GET /treatment_categories/{id} — endpoint added

2026-10-14

Add patient account endpoint

  • GET /patients/{id}/account — endpoint added

2026-10-08

  • GET /calendar_zones — endpoint added
  • GET /calendar_zones/{id} — endpoint added

2026-10-07

Add invoice item specification

  • GET /invoices/{id}/invoice_items — endpoint added

2026-10-06

Add fee specification

  • GET /fees — endpoint added
  • GET /fees/{id} — endpoint added

2026-09-29

Add fee schedules endpoint

  • GET /fee_schedules — endpoint added
  • GET /fee_schedules/{id} — endpoint added
  • GET /nhs/contracts — added the new optional query request parameter created_date_from
  • GET /nhs/contracts — added the new optional query request parameter created_date_to
  • GET /nhs/contracts — added the new optional query request parameter updated_date_from
  • GET /nhs/contracts — added the new optional query request parameter updated_date_to

2026-09-17

Support site_id filter for Patient and Appointment list endpoint

  • GET /patients — added the new optional query request parameter site_id
  • GET /practitioners — added the new optional query request parameter site_id

2026-09-16

Add is_paid query to list invoices spec

  • GET /invoices — added the new optional query request parameter is_paid

2026-09-09

Adjust NHS contracts external identifier structure

  • GET /nhs/contracts — removed the required property data/items/external_identifiers from the response with the 200 status
  • GET /nhs/contracts/{id} — removed the required property data/external_identifiers from the response with the 200 status
  • GET /nhs/contracts — added the required property data/items/nhs_contract_number to the response with the 200 status
  • GET /nhs/contracts — added the required property data/items/nhs_location_id to the response with the 200 status
  • GET /nhs/contracts — added the required property data/items/nhs_site_id to the response with the 200 status
  • GET /nhs/contracts/{id} — added the required property data/nhs_contract_number to the response with the 200 status
  • GET /nhs/contracts/{id} — added the required property data/nhs_location_id to the response with the 200 status
  • GET /nhs/contracts/{id} — added the required property data/nhs_site_id to the response with the 200 status

2026-09-09

Add NHS contracts endpoint

  • GET /nhs/contracts — endpoint added
  • GET /nhs/contracts/{id} — endpoint added